Bug 496206 - xenkbd can crash when probe fails
xenkbd can crash when probe fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.9
All Linux
medium Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On: 434800
Blocks: 458302
  Show dependency treegraph
 
Reported: 2009-04-17 05:17 EDT by Markus Armbruster
Modified: 2011-02-16 11:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 434800
Environment:
Last Closed: 2011-02-16 11:03:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (4.66 KB, patch)
2009-05-20 10:36 EDT, Markus Armbruster
no flags Details | Diff
patch sent to mailing list and acked (4.81 KB, patch)
2009-06-19 06:21 EDT, Paolo Bonzini
no flags Details | Diff

  None (edit)
Comment 2 Markus Armbruster 2009-05-20 10:36:37 EDT
Created attachment 344815 [details]
Proposed patch

Backport of RHEL-5/linux-2.6-xen-pvfb-probe-suspend-fixes.patch and
RHEL-5/linux-2.6-xen-pvfb-probe-suspend-fixes-fix.patch rolled together.
Compile-tested only.
Comment 3 Paolo Bonzini 2009-06-16 12:19:49 EDT
I redid the patch myself; I didn't use clear_page but, anyway, the only major difference between my patch and the one in comment #2 is that this:

 	info->page = (void *)__get_free_page(GFP_KERNEL);
+	clear_page(info->page);
 	if (!info->page)
 		goto error_nomem;

had a dereference-before-checking-for-NULL bug.  Thanks!
Comment 4 Paolo Bonzini 2009-06-19 06:21:24 EDT
Created attachment 348628 [details]
patch sent to mailing list and acked
Comment 7 Vivek Goyal 2009-07-28 13:22:19 EDT
Committed in 89.7.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 errata-xmlrpc 2011-02-16 11:03:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.